vgp.minimal.weier

## Class PgWeierstrass_MeeksMoebiusDual

- java.lang.Object
- - jv.object.PsObject
  - - vgp.minimal.weier.PgWeierstrassDescr
    - - vgp.minimal.weier.PgWeierstrass_MeeksMoebiusDual

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, PsUpdateIf

      public class PgWeierstrass_MeeksMoebiusDual
      extends PgWeierstrassDescr

  Descriptor class for Enneper's surface
  See Also:
    Serialized Form
  Author:
    Ulrich Reitebuch
  Version:
    07.08.12, 1.00 created (ur).

- - ### Field Summary

    - ### Fields inherited from class vgp.minimal.weier.PgWeierstrassDescr

      `m_numUserReflections, REFLECT_LINE, REFLECT_PLANE`

    - ### Fields inherited from class jv.object.PsObject

      `HAS_BOUNDARY_PANEL, HAS_CONFIG_PANEL, HAS_INFO_PANEL, HAS_LABEL_PANEL, HAS_MATERIAL_PANEL, HAS_TEXTURE_PANEL, HAS_VECTOR_PANEL, INSPECTOR_INFO, INSPECTOR_INFO_EXT, IS_DELETED, IS_FIXED, IS_FOCUSSED, IS_PICKED, IS_SELECTED, IS_USED, NUM_TAGS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PgWeierstrass_MeeksMoebiusDual()` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `PuComplex` | `f(PuComplex z)` Weierstrass function f.
    `PuComplex` | `g(PuComplex z)` Weierstrass function g.
    `void` | `getConnections()` Glue patches.
    `void` | `init()` Initialization.
    `PuComplex` | `transform(PuComplex z)` Transform rectangular domain to an adequate domain in the complex plane.
    `boolean` | `update(java.lang.Object event)` Update the class whenever a child has changed.

    - ### Methods inherited from class vgp.minimal.weier.PgWeierstrassDescr

      `addParameter, connectPart, connectReflection, connectReflection, equals, equals, equals, fun, getBndReflectType, getConnections, getConnections, getDimOfElements, getFStart, getFStart, getMarkedBndNr, getNumIntegratedPatches, getNumParts, getNumParts, getNumULines, getNumVLines, getReflections, getReflections, getReflections, getStartU, getStartV, getUMax, getUMin, getVMax, getVMin, isEnabledMarkBnd, newReflection, partIsSubdivided, reflectPart, returnUserReflections, setConnections, setDomain, setEnabledMarkBnd, setMarkedBndNr, setNumIntegratedPatches, setPartBndNr, setReflection, setReflectPartNr, setUMax, setUMin, setVertDim, setVMax, setVMin, transform`

    - ### Methods inherited from class jv.object.PsObject

      `addInspector, addUpdateListener, assureInspector, clearTag, clone, clone, clone, copy, getFather, getInfoPanel, getInspector, getName, getNumObjects, getSymbol, hasInspector, hasTag, hasUpdateListener, instanceOf, instanceOf, newInspector, newInspector, removeInspector, removeInspector, removeUpdateListener, setName, setParent, setSymbol, setTag, toString, updatePanels`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### PgWeierstrass_MeeksMoebiusDual

          public PgWeierstrass_MeeksMoebiusDual()

      Constructor.

  - ### Method Detail

    - #### init

          public void init()

      Initialization.
      Overrides:
        `init` in class `PgWeierstrassDescr`

    - #### update

          public boolean update(java.lang.Object event)

      Update the class whenever a child has changed. Method is usually invoked from the children.
      Specified by:
        `update` in interface `PsUpdateIf`
      Overrides:
        `update` in class `PgWeierstrassDescr`
      Parameters:
        `event` - carries a lot of information
      Returns:
        true if event has been handled, otherwise false
      See Also:
        `PsObject.setParent(PsUpdateIf)`, `PsObject.getFather()`, `PsObject.addUpdateListener(PsUpdateIf)`

    - #### transform

          public PuComplex transform(PuComplex z)

      Transform rectangular domain to an adequate domain in the complex plane.
      Overrides:
        `transform` in class `PgWeierstrassDescr`

    - #### f

          public PuComplex f(PuComplex z)

      Weierstrass function f. Meeks Moebius Strip f = i(z-1)^2/z^4 g = z^2(z+1)/(z-1)
      Specified by:
        `f` in class `PgWeierstrassDescr`

    - #### g

          public PuComplex g(PuComplex z)

      Weierstrass function g. Meeks Moebius Strip f = i(z-1)^2/z^4 g = z^2(z+1)/(z-1)
      Specified by:
        `g` in class `PgWeierstrassDescr`

    - #### getConnections

          public void getConnections()

      Glue patches.
      Overrides:
        `getConnections` in class `PgWeierstrassDescr`

"

The software JavaView? is copyright protected. All Rights Reserved.
"